Bug 981198 - (CVE-2013-2241) CVE-2013-2241 gallery3: Multiple information exposure flaws in data rest core module
CVE-2013-2241 gallery3: Multiple information exposure flaws in data rest core...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130628,reported=2...
: Security
Depends On: 981218 981219
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 05:06 EDT by Jan Lieskovsky
Modified: 2013-07-16 02:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 02:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-04 05:06:03 EDT
Multiple information exposure flaws were found in the way data rest core module of Gallery version 3, an open source project with the goal to develop and support leading photo sharing web application solutions, used to previously restrict access to certain items of the photo album. A remote attacker, valid Gallery 3 user, could use this flaw to possibly obtain sensitive information (file, resize or thumb path of the item in question).

References:
[1] http://galleryproject.org/gallery_3_0_9

Upstream ticket:
[2] http://sourceforge.net/apps/trac/gallery/ticket/2074

Relevant upstream patch (against 3.0.x branch):
[3] https://github.com/gallery/gallery3/commit/cbbcf1b4791762d7da0ea7b6c4f4b551a4d9caed
Comment 1 Jan Lieskovsky 2013-07-04 05:21:28 EDT
This issue affects the versions of the gallery3 package, as shipped with Fedora release of 17, 18, and 19. Please schedule an update.

--

This issue affects the versions of the gallery3 package, as shipped with Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-07-04 05:22:29 EDT
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/07/04/7
Comment 3 Jan Lieskovsky 2013-07-04 05:24:46 EDT
Created gallery3 tracking bugs for this issue:

Affects: fedora-all [bug 981218]
Affects: epel-6 [bug 981219]
Comment 4 Jan Lieskovsky 2013-07-08 11:24:00 EDT
Further CVE-2013-2241 issue details clarification from Shad Laws of Gallery 3 upstream (http://www.openwall.com/lists/oss-security/2013/07/05/3):

A quick clarification on issue #2: the problem wasn't the item information
or paths, but rather the original-sized image file.

A legitimate user with "view" privileges for an item should be able to:
- get the item info and image file links (e.g.
".../rest/data/123?size=thumb", etc.)
- follow the links and get the "thumb" and "resize" image files themselves.
- guess the "full" image file link without thinking too hard (e.g.
".../rest/data/123?size=full")
- follow the link and get the "full" image file itself **ONLY** if they
have "view_full" access.

The problem was that this last condition wasn't being properly enforced.

Note You need to log in before you can comment on or make changes to this bug.